[Python-modules-commits] r8787 - in packages/pythonmagick/trunk/debian (7 files)

piotr at users.alioth.debian.org piotr at users.alioth.debian.org
Mon Jun 15 20:20:09 UTC 2009


    Date: Monday, June 15, 2009 @ 20:20:03
  Author: piotr
Revision: 8787

* New upstream release
  - compatible with new imagemagick. Closes: #512049, #524588
  - links against current boost. Closes: #488105
  - Fixes to autofoo:
    - use python?.?-config instead of locate in python detection macro
    - python boost detection
      and reverse upstream's hardcoding of the lib in Makefile.am
* Thomas' patches converted to dpatch (thanks Thomas for your work!)
  - dpatch added to Build-Depends

Added:
  packages/pythonmagick/trunk/debian/patches/
  packages/pythonmagick/trunk/debian/patches/00list
  packages/pythonmagick/trunk/debian/patches/01_autofoo_fixes.dpatch
  packages/pythonmagick/trunk/debian/patches/02_set_minimum_python_version_to_2.4.dpatch
Modified:
  packages/pythonmagick/trunk/debian/changelog
  packages/pythonmagick/trunk/debian/control
  packages/pythonmagick/trunk/debian/rules

Modified: packages/pythonmagick/trunk/debian/changelog
===================================================================
--- packages/pythonmagick/trunk/debian/changelog	2009-06-12 15:12:28 UTC (rev 8786)
+++ packages/pythonmagick/trunk/debian/changelog	2009-06-15 20:20:03 UTC (rev 8787)
@@ -1,5 +1,14 @@
-pythonmagick (0.8-1) UNRELEASED; urgency=low
+pythonmagick (0.9.1-1) unstable; urgency=low
 
+  [ Thomas Viehmann ]
+  * New upstream release
+    - compatible with new imagemagick. Closes: #512049, #524588
+    - links against current boost. Closes: #488105
+    - Fixes to autofoo:
+      - use python?.?-config instead of locate in python detection macro
+      - python boost detection
+        and reverse upstream's hardcoding of the lib in Makefile.am
+
   [ Sandro Tosi ]
   * debian/control
     - switch Vcs-Browser field to viewsvn
@@ -8,16 +17,18 @@
   * New upstream release
   * update copyright file
   * updating build-depends
-    - changing libboost-python-dev to separate devs ORed
-    - change python depends to python-all-dev (>= 2.5.4-2),
+#   - changing libboost-python-dev to separate devs ORed
     - change libmagick++9-dev to libmagick++-dev >= 6.4
 
-  [James Westby]
+  [ James Westby ]
   * Set CPPFLAGS="-I/usr/include/python2.5" in debian/rules to work around the
     configure script trying to use "locate" to find the python headers.
 
+  [ Piotr Ożarowski ]
+  * Thomas' patches converted to dpatch (thanks Thomas for your work!)
+    - dpatch added to Build-Depends
 
- -- Carl Fürstenberg <azatoth at gmail.com>  Mon, 25 May 2009 17:05:33 +0200
+ -- Debian Python Modules Team <python-modules-team at lists.alioth.debian.org>  Mon, 15 Jun 2009 21:46:45 +0200
 
 pythonmagick (0.7-5) unstable; urgency=low
 

Modified: packages/pythonmagick/trunk/debian/control
===================================================================
--- packages/pythonmagick/trunk/debian/control	2009-06-12 15:12:28 UTC (rev 8786)
+++ packages/pythonmagick/trunk/debian/control	2009-06-15 20:20:03 UTC (rev 8787)
@@ -5,15 +5,17 @@
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/pythonmagick/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pythonmagick/trunk/
 Uploaders: Carl Fürstenberg <azatoth at gmail.com>, Bernd Zeimetz <bzed at debian.org>
-Build-Depends: 
+Build-Depends:
  cdbs, 
- debhelper (>= 5), 
- libmagick++-dev (>= 7:6.4.0), 
- libtool (>= 1.5), 
- libboost-python1.38-dev | libboost-python1.37-dev | libboost-python1.35-dev, 
- python-support, 
- python-all-dev (>= 2.5.4-2),
- autotools-dev
+ debhelper (>= 5),
+ libmagick++-dev (>= 7:6.4.0),
+ libtool (>= 1.5),
+ libboost-python-dev (>= 1.34.1-8),
+# libboost-python1.38-dev | libboost-python1.37-dev | libboost-python1.35-dev,
+ python-support,
+ python-dev (>= 2.5),
+ autotools-dev,
+ dpatch
 Standards-Version: 3.8.1
 Homepage: http://www.imagemagick.org
 

Added: packages/pythonmagick/trunk/debian/patches/00list
===================================================================
--- packages/pythonmagick/trunk/debian/patches/00list	                        (rev 0)
+++ packages/pythonmagick/trunk/debian/patches/00list	2009-06-15 20:20:03 UTC (rev 8787)
@@ -0,0 +1,2 @@
+01_autofoo_fixes
+02_set_minimum_python_version_to_2.4

Added: packages/pythonmagick/trunk/debian/patches/01_autofoo_fixes.dpatch
===================================================================
--- packages/pythonmagick/trunk/debian/patches/01_autofoo_fixes.dpatch	                        (rev 0)
+++ packages/pythonmagick/trunk/debian/patches/01_autofoo_fixes.dpatch	2009-06-15 20:20:03 UTC (rev 8787)
@@ -0,0 +1,177 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 01_autofoo_fixes.dpatch by Thomas Viehmann <tv at beamnet.de>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: fix auto*
+
+ at DPATCH@
+
+--- pythonmagick-0.9.1.orig/configure
++++ pythonmagick-0.9.1/configure
+@@ -16209,7 +16209,7 @@
+ as_val=`eval 'as_val=${'$as_ac_Header'}
+ 		 $as_echo "$as_val"'`
+    if test "x$as_val" = x""yes; then
+-  ax_python_header=`locate $ax_python_bin/Python.h | sed -e s,/Python.h,,`
++  ax_python_header=`${ax_python_bin}-config --include | sed 's/-I//g;s/^ *//;s/ .*//'`
+ else
+   ax_python_header=no
+ fi
+@@ -16324,6 +16324,13 @@
+ $as_echo "$ac_cv_boost_python" >&6; }
+ if test "$ac_cv_boost_python" = "yes"; then
+ 
++  ac_ext=cpp
++ac_cpp='$CXXCPP $CPPFLAGS'
++ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
++ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
++ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
++
++
+ cat >>confdefs.h <<\_ACEOF
+ #define HAVE_BOOST_PYTHON /**/
+ _ACEOF
+@@ -16339,14 +16346,14 @@
+ fi
+ 
+   for ax_lib in $ax_python_lib $ax_boost_python_lib boost_python; do
+-    as_ac_Lib=`$as_echo "ac_cv_lib_$ax_lib''_exit" | $as_tr_sh`
+-{ $as_echo "$as_me:$LINENO: checking for exit in -l$ax_lib" >&5
+-$as_echo_n "checking for exit in -l$ax_lib... " >&6; }
++    as_ac_Lib=`$as_echo "ac_cv_lib_$ax_lib''_main" | $as_tr_sh`
++{ $as_echo "$as_me:$LINENO: checking for main in -l$ax_lib" >&5
++$as_echo_n "checking for main in -l$ax_lib... " >&6; }
+ if { as_var=$as_ac_Lib; eval "test \"\${$as_var+set}\" = set"; }; then
+   $as_echo_n "(cached) " >&6
+ else
+   ac_check_lib_save_LIBS=$LIBS
+-LIBS="-l$ax_lib  $LIBS"
++LIBS="-l$ax_lib -l${PYTHON_LIB} $LIBS"
+ cat >conftest.$ac_ext <<_ACEOF
+ /* confdefs.h.  */
+ _ACEOF
+@@ -16354,17 +16361,11 @@
+ cat >>conftest.$ac_ext <<_ACEOF
+ /* end confdefs.h.  */
+ 
+-/* Override any GCC internal prototype to avoid an error.
+-   Use char because int might match the return type of a GCC
+-   builtin and then its argument prototype would still apply.  */
+-#ifdef __cplusplus
+-extern "C"
+-#endif
+-char exit ();
++
+ int
+ main ()
+ {
+-return exit ();
++return main ();
+   ;
+   return 0;
+ }
+@@ -16384,7 +16385,7 @@
+   cat conftest.err >&5
+   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+   (exit $ac_status); } && {
+-	 test -z "$ac_c_werror_flag" ||
++	 test -z "$ac_cxx_werror_flag" ||
+ 	 test ! -s conftest.err
+        } && test -s conftest$ac_exeext && {
+ 	 test "$cross_compiling" = yes ||
+@@ -16415,6 +16416,12 @@
+ 
+   done
+ 
++  ac_ext=c
++ac_cpp='$CPP $CPPFLAGS'
++ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
++ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
++ac_compiler_gnu=$ac_cv_c_compiler_gnu
++
+ fi
+ 
+ 
+--- pythonmagick-0.9.1.orig/Makefile.in
++++ pythonmagick-0.9.1/Makefile.in
+@@ -276,7 +276,7 @@
+ _PythonMagick_la_LDFLAGS = -avoid-version -module $(BOOST_LDFLAGS)
+ 
+ # And the libraries to include
+-_PythonMagick_la_LIBADD = pythonmagick_src/libpymagick.la helpers_src/libhelper.la $(BOOST_LDFLAGS) -lboost_python $(MAGICKPP_LIBS) $(MAGICK_LIBS) -l$(PYTHON_LIB)
++_PythonMagick_la_LIBADD = pythonmagick_src/libpymagick.la helpers_src/libhelper.la $(BOOST_LDFLAGS) -l$(BOOST_PYTHON_LIB) $(MAGICKPP_LIBS) $(MAGICK_LIBS) -l$(PYTHON_LIB)
+ EXTRA_DIST = autogen.pl SConstruct pyste_src LICENSE
+ 
+ # Automatically reconfigure libtool
+--- pythonmagick-0.9.1.orig/Makefile.am
++++ pythonmagick-0.9.1/Makefile.am
+@@ -28,7 +28,7 @@
+ _PythonMagick_la_LDFLAGS = -avoid-version -module $(BOOST_LDFLAGS)
+ 
+ # And the libraries to include
+-_PythonMagick_la_LIBADD = pythonmagick_src/libpymagick.la helpers_src/libhelper.la $(BOOST_LDFLAGS) -lboost_python $(MAGICKPP_LIBS) $(MAGICK_LIBS) -l$(PYTHON_LIB)
++_PythonMagick_la_LIBADD = pythonmagick_src/libpymagick.la helpers_src/libhelper.la $(BOOST_LDFLAGS) -l$(BOOST_PYTHON_LIB) $(MAGICKPP_LIBS) $(MAGICK_LIBS) -l$(PYTHON_LIB)
+ 
+ EXTRA_DIST = autogen.pl SConstruct pyste_src LICENSE
+ 
+--- pythonmagick-0.9.1.orig/m4/ax_boost_python.m4
++++ pythonmagick-0.9.1/m4/ax_boost_python.m4
+@@ -75,6 +75,8 @@
+  CPPFLAGS=$CPPFLAGS_SAVE
+ ])
+ if test "$ac_cv_boost_python" = "yes"; then
++  AC_LANG_SAVE
++  AC_LANG_CPLUSPLUS
+   AC_DEFINE(HAVE_BOOST_PYTHON,,[define if the Boost::Python library is available])
+   ax_python_lib=boost_python
+   AC_ARG_WITH([boost-python],AS_HELP_STRING([--with-boost-python],[specify the boost python library or suffix to use]),
+@@ -83,8 +85,9 @@
+      ax_boost_python_lib=boost_python-$with_boost_python
+    fi])
+   for ax_lib in $ax_python_lib $ax_boost_python_lib boost_python; do
+-    AC_CHECK_LIB($ax_lib, exit, [BOOST_PYTHON_LIB=$ax_lib break])
++    AC_CHECK_LIB($ax_lib, main, [BOOST_PYTHON_LIB=$ax_lib break],,[-l${PYTHON_LIB}])
+   done
+   AC_SUBST(BOOST_PYTHON_LIB)
++  AC_LANG_RESTORE
+ fi
+ ])dnl
+--- pythonmagick-0.9.1.orig/m4/ax_python.m4
++++ pythonmagick-0.9.1/m4/ax_python.m4
+@@ -64,7 +64,7 @@
+ if test x$ax_python_bin != x; then
+    AC_CHECK_LIB($ax_python_bin, main, ax_python_lib=$ax_python_bin, ax_python_lib=no)
+    AC_CHECK_HEADER([$ax_python_bin/Python.h],
+-   [[ax_python_header=`locate $ax_python_bin/Python.h | sed -e s,/Python.h,,`]],
++   [[ax_python_header=`${ax_python_bin}-config --include | sed 's/-I//g;s/^ *//;s/ .*//'`]],
+    ax_python_header=no)
+    if test $ax_python_lib != no; then
+      if test $ax_python_header != no; then
+--- pythonmagick-0.9.1.orig/helpers_src/Makefile.in
++++ pythonmagick-0.9.1/helpers_src/Makefile.in
+@@ -226,9 +226,9 @@
+ 	      exit 1;; \
+ 	  esac; \
+ 	done; \
+-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  helpers_src/Makefile'; \
++	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  helpers_src/Makefile'; \
+ 	cd $(top_srcdir) && \
+-	  $(AUTOMAKE) --foreign  helpers_src/Makefile
++	  $(AUTOMAKE) --gnu  helpers_src/Makefile
+ .PRECIOUS: Makefile
+ Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
+ 	@case '$?' in \
+--- pythonmagick-0.9.1.orig/pythonmagick_src/Makefile.in
++++ pythonmagick-0.9.1/pythonmagick_src/Makefile.in
+@@ -382,9 +382,9 @@
+ 	      exit 1;; \
+ 	  esac; \
+ 	done; \
+-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  pythonmagick_src/Makefile'; \
++	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  pythonmagick_src/Makefile'; \
+ 	cd $(top_srcdir) && \
+-	  $(AUTOMAKE) --foreign  pythonmagick_src/Makefile
++	  $(AUTOMAKE) --gnu  pythonmagick_src/Makefile
+ .PRECIOUS: Makefile
+ Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
+ 	@case '$?' in \


Property changes on: packages/pythonmagick/trunk/debian/patches/01_autofoo_fixes.dpatch
___________________________________________________________________
Added: svn:executable
   + *

Added: packages/pythonmagick/trunk/debian/patches/02_set_minimum_python_version_to_2.4.dpatch
===================================================================
--- packages/pythonmagick/trunk/debian/patches/02_set_minimum_python_version_to_2.4.dpatch	                        (rev 0)
+++ packages/pythonmagick/trunk/debian/patches/02_set_minimum_python_version_to_2.4.dpatch	2009-06-15 20:20:03 UTC (rev 8787)
@@ -0,0 +1,57 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 01_autofoo_fixes.dpatch by Thomas Viehmann <tv at beamnet.de>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: make Python 2.4 the minimum required one
+
+ at DPATCH@
+
+--- pythonmagick-0.9.1.orig/configure.ac
++++ pythonmagick-0.9.1/configure.ac
+@@ -24,7 +24,7 @@
+ AC_PROG_LN_S
+ AC_PROG_MAKE_SET
+ AC_PROG_LIBTOOL
+-AM_PATH_PYTHON(2.6)
++AM_PATH_PYTHON(2.4)
+ PKG_PROG_PKG_CONFIG
+ 
+ # Add configure option --enable-maintainer-mode which enables dependency
+--- pythonmagick-0.9.1.orig/configure
++++ pythonmagick-0.9.1/configure
+@@ -15331,12 +15331,12 @@
+ 
+         if test -n "$PYTHON"; then
+       # If the user set $PYTHON, use it and don't search something else.
+-      { $as_echo "$as_me:$LINENO: checking whether $PYTHON version >= 2.6" >&5
+-$as_echo_n "checking whether $PYTHON version >= 2.6... " >&6; }
++      { $as_echo "$as_me:$LINENO: checking whether $PYTHON version >= 2.4" >&5
++$as_echo_n "checking whether $PYTHON version >= 2.4... " >&6; }
+       prog="import sys, string
+ # split strings by '.' and convert to numeric.  Append some zeros
+ # because we need at least 4 digits for the hex conversion.
+-minver = map(int, string.split('2.6', '.')) + [0, 0, 0]
++minver = map(int, string.split('2.4', '.')) + [0, 0, 0]
+ minverhex = 0
+ for i in xrange(0, 4): minverhex = (minverhex << 8) + minver[i]
+ sys.exit(sys.hexversion < minverhex)"
+@@ -15357,8 +15357,8 @@
+     else
+       # Otherwise, try each interpreter until we find one that satisfies
+       # VERSION.
+-      { $as_echo "$as_me:$LINENO: checking for a Python interpreter with version >= 2.6" >&5
+-$as_echo_n "checking for a Python interpreter with version >= 2.6... " >&6; }
++      { $as_echo "$as_me:$LINENO: checking for a Python interpreter with version >= 2.4" >&5
++$as_echo_n "checking for a Python interpreter with version >= 2.4... " >&6; }
+ if test "${am_cv_pathless_PYTHON+set}" = set; then
+   $as_echo_n "(cached) " >&6
+ else
+@@ -15368,7 +15368,7 @@
+ 	  prog="import sys, string
+ # split strings by '.' and convert to numeric.  Append some zeros
+ # because we need at least 4 digits for the hex conversion.
+-minver = map(int, string.split('2.6', '.')) + [0, 0, 0]
++minver = map(int, string.split('2.4', '.')) + [0, 0, 0]
+ minverhex = 0
+ for i in xrange(0, 4): minverhex = (minverhex << 8) + minver[i]
+ sys.exit(sys.hexversion < minverhex)"


Property changes on: packages/pythonmagick/trunk/debian/patches/02_set_minimum_python_version_to_2.4.dpatch
___________________________________________________________________
Added: svn:executable
   + *

Modified: packages/pythonmagick/trunk/debian/rules
===================================================================
--- packages/pythonmagick/trunk/debian/rules	2009-06-12 15:12:28 UTC (rev 8786)
+++ packages/pythonmagick/trunk/debian/rules	2009-06-15 20:20:03 UTC (rev 8787)
@@ -1,9 +1,10 @@
 #!/usr/bin/make -f
 
-CPPFLAGS="-I/usr/include/python2.5/"
-
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
+include /usr/share/cdbs/1/rules/dpatch.mk
 
+DEB_CONFIGURE_EXTRA_FLAGS := --with-boost-python=boost_python-mt
+
 binary-install/python-pythonmagick::
 	dh_pysupport -ppython-pythonmagick




More information about the Python-modules-commits mailing list